myatscc(1)

NAME
myatscc - Simple ATS2 compiler frontend

SYNOPSIS
myatscc [options] files...

DESCRIPTION
myatscc is a frontend intended to simplify the compilation of ATS source code. myatscc attempts to figure out the necessary flags to compile any .dats file given to it on the command-line. A special comment-based syntax is provided for specifying options to the the myatscc frontend, and these comments are written directly into the source file to be compiled.

OPTIONS

--dry
    See the commands that myatscc would generate without actually running them.

--gc
    For use of the Boehm garbage collector for malloc.

--help
    Show usage information.

EXAMPLES
Whatever needed for compiling foo.dats should be written as some form of comment inside foo.dats. For instance, the following comment is assumed to be the default (if nothing is given explicitly):

(*
##myatsccdef=\
patscc -D_GNU_SOURCE -DATS_MEMALLOC_LIBC -o $fname($1) $1
*)

Then on the command line the file may be compiled with:

myatscc foo.dats

SEE ALSO
patsopt(1), patscc(1)
These programs are documented fully by The ATS2/Postiats user's manual available via the web at http://www.ats-lang.org/

AUTHOR
myatscc was written by Hongwei Xi.

This manual page was written by Matthew Danish <mrd@debian.org>, for the Debian project (and may be used by others).